読者です 読者をやめる 読者になる 読者になる

「mongoDB datasource for CakePHP」 を composerでインストールする

超久々のブログですが、小ネタです。

何周か遅れでいま開発中の環境をcomposerを使って構築してるんですが、ちょっとはまったのでメモ。

id:cakephper さんの作ったmongoDB datasource for CakePHPPackagistに登録されていないのでcomposer.jsonを以下の様な感じにするとgithubから直接インストールできます。

{
    "name": "cakephp",
    "repositories": [
        {
            "type": "pear",
            "url": "http://pear.cakephp.org"
        },
        {
            "type":"package",
            "package": {
                "type" : "cakephp-plugin",
                "name": "ichikaway/cakephp-mongodb",
                "version": "2.2.x-dev",
                "dist": {
                    "url": "https://github.com/ichikaway/cakephp-mongodb/zipball/master",
                    "type": "zip"
                },
                "source": {
                    "url": "https://github.com/ichikaway/cakephp-mongodb",
                    "type": "git",
                    "reference": "cake2.2"
                },
                "require":{
                   "composer/installers": "*"
                },
                "extra": {
                    "branch-alias": {
                        "dev-cake2.0": "2.0.x-dev",
                        "dev-cake2.2": "2.2.x-dev"
                    },
                     "installer-name": "Mongodb"
                }
            }
        }
    ],
    "require": {
        "pear-cakephp/cakephp": "2.4.4",
        "cakedc/migrations": "*",
        "ichikaway/cakephp-mongodb": "2.2.x-dev"
    },
    "require-dev": {
        "cakephp/debug_kit": "2.2.*@dev"
    },
    "config": {
        "vendor-dir": "Vendor/"
    }
}

composer.jsonの書式がよくわからなかったので、このPRを参考にしました。

以上で。

2014/2/20 11:30 追記

id:cakephperさんが音速でこのPRをマージしてくれたので、以下の様な普通か方法でインストール出来るようになりました〜!

{
    "name": "cakephp",
    "repositories": [
        {
            "type": "pear",
            "url": "http://pear.cakephp.org"
        }
    ],
    "require": {
        "pear-cakephp/cakephp": "2.4.4",
        "cakedc/migrations": "*",
        "ichikaway/cakephp-mongodb": "2.2.x-dev"
    },
    "require-dev": {
        "cakephp/debug_kit": "2.2.*@dev"
    },
    "config": {
        "vendor-dir": "Vendor/"
    }
}